Subject: Re: bug#20420: 25.0.50; eieio methods with optional arguments now fail

From: Stefan Monnier <[email-masked]>
Date: Fri, 24 Apr 2015 16:42:01 -0400

>    (defgeneric xx (&optional a b))
>    (defmethod xx ()
>      (message "default"))

Hmmm... I think this really only worked by accident and wasn't
explicitly supported by Emacs-24's doc.  And adding support for such
degenerate methods might not be straightforward in eieio-compat.el, so
I'm wondering where you've seen such use, to see how important it is to
provide that level of backward compatibility.

        Stefan